import axios from "../../utils/axios";

export function getDeviceMAOrderList(params) {
    return axios({
        url: "/device/MA/order/filterList",
        method: "get",
        params: params
    });
}

export function addMAOrder(data) {
    return axios({
        url: "/device/MA/order/addMAOrder",
        method: "post",
        data: data
    });
}

export function updateDeviceMAOrder(data) {
    return axios({
        url: "/device/MA/order/updateMAOrder",
        method: "post",
        data: data
    });
}

export function deleteDeviceMAOrder(data) {
    return axios({
        url: "/device/MA/order/deleteMAOrder",
        method: "post",
        data: data
    });
}

export function getDeviceMAOrderDetailList(params) {
    return axios({
        url: "/device/MA/order/detail/filterList",
        method: "get",
        params: params
    });
}

export function addDeviceMAOrderDetail(data) {
    return axios({
        url: "/device/MA/order/detail/addOrderDetail",
        method: "post",
        data: data
    });
}

export function updateDeviceMAOrderDetail(data) {
    return axios({
        url: "/device/MA/order/detail/updateOrderDetail",
        method: "post",
        data: data
    });
}

export function deleteDeviceMAOrderDetail(data) {
    return axios({
        url: "/device/MA/order/detail/deleteOrderDetail",
        method: "post",
        data: data
    });
}

export function deviceList(params) {
    return axios({
        url: "/device/collect/order/detail/deviceList",
        method: "get",
        params: params
    });
}

export function addDeviceMAOrder(data) {
    return axios({
        url: "/device/MA/order/addDeviceMAOrder",
        method: "post",
        data: data
    });
}
